Subject: bug#77960: closed (Re: [bug#77960] python-omero-py and python-zeroc-ice-3.6 do not support Python 3.11)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 22 Apr 2025 12:22:02 +0000

Your bug report

#77960: python-omero-py and python-zeroc-ice-3.6 do not support Python 3.11

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77960: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77960
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#77960] python-omero-py and python-zeroc-ice-3.6 do not support Python 3.11
From: Nicolas Graves <[email-masked]>
To: Sharlatan Hellseher <[email-masked]>, [email-masked], Guillaume Le Vaillant <[email-masked]>
Cc: [email-masked]
Date: Tue, 22 Apr 2025 14:21:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Done in 77896.

On 2025-04-22 13:05, Nicolas Graves via Guix-patches via wrote:

> Looks like Guillaume managed to fix python-mox3 manually, let's drop the
> patch removing it.
>
> On the zeroc's side, IIUC, the omero team uses custom versions such as
> [1].  They probably work with [email-masked], so I'll try to create a
> python-zeroc-ice-for-omero-blitz package. 
>
> [1]: https://github.com/glencoesoftware/zeroc-ice-py-linux-x86_64
>
>
> On 2025-04-22 12:20, Nicolas Graves wrote:
>
>> This one is tough.
>>
>> After some investigation : currently we can't regenerate the ice code in
>> Guix.  The ice code comes auto-generated from omero-blitz [1].  The
>> issue is that the .ice code producing the ice python code is not
>> there.  Best guess is that it is itself generated from there [2],
>> which most likely requires Gradle and a lot of java we don't have.
>>
>> This is too had for this python-team release IMO.  Suggestion: We
>> either keep that failing they decide to finally upgrade their ice
>> version upstream, or we remove the package from current Guix.
>>
>> WDYT?
>>
>> [1]: https://artifacts.openmicroscopy.org/ui/packages/gav:%2F%2Forg.openmicroscopy:omero-blitz?name=omero-blitz&type=packages
>> [2]: https://github.com/ome/omero-blitz
>>
>>
>> On 2025-04-21 16:26, Sharlatan Hellseher wrote:
>>
>>> Hi,
>>>
>>> While applying <https://issues.guix.gnu.org/77895> I've noticed we still
>>> need python-mox3 for python-omero-py but it fails to build due to known
>>> issue with zero-c-ice-3.6 supporting Python 3.11.
>>>
>>> What would our strategy here?
>>>
>>> No eval.h in python 3.11: <https://github.com/zeroc-ice/ice/issues/1393>
>>> zeroc-ice fails to build wheel: <https://github.com/ome/omero-py/issues/360>
>>>
>>> --
>>> Oleg

-- 
Best regards,
Nicolas Graves

Subject: python-omero-py and python-zeroc-ice-3.6 do not support Python 3.11
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Mon, 21 Apr 2025 16:26:58 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

While applying <https://issues.guix.gnu.org/77895> I've noticed we still
need python-mox3 for python-omero-py but it fails to build due to known
issue with zero-c-ice-3.6 supporting Python 3.11.

What would our strategy here?

No eval.h in python 3.11: <https://github.com/zeroc-ice/ice/issues/1393>
zeroc-ice fails to build wheel: <https://github.com/ome/omero-py/issues/360>

--
Oleg